******************************************************************
* Data preparation for Application 1
* Paper: Detecting p-hacking
* Authors: G. Elliott, N. Kudrin, K. Wuthrich
******************************************************************
clear all
*Set your working directory below (it has to be the folder where you save 'Replication_package')
cd "YOUR WORKING DIRECTORY"

set seed 123

use "Replication_package/Application 1/Star Wars/brodeur_le_sangnier_zylberberg_replication/Data/Final/final_stars_supp.dta"

*Manual fix
replace p_value_num_sm = 0.0172 + (runiform()-0.5)/10000 if p_value_num==2.41
replace p_value_num = 0.0172 if p_value_num==2.41

* Rounded data (ptop1)
replace p_value_num = 2*(1-normal(abs(invnormal(1-p_value_num)))) if type_emp=="one side" //convert to 2-sided
gen ptop1 = p_value_num
gen ttop = 2*(1 - normal(t_stat_raw))
replace ptop1 = ttop if ptop1==.
drop if t_stat_raw==0 & standard_deviation=="NA"
replace ptop1 = 0 if standard_deviation_num==0 & ptop1==. & coefficient_num!=0

*Derounded data (ptop2)
replace p_value_num_sm = 2*(1-normal(abs(invnormal(1-p_value_num_sm)))) if type_emp=="one side" //convert to 2-sided
gen ptop2 = p_value_num_sm
gen ttop2 = 2*(1 -normal(t_stat_sm))
replace ptop2 = ttop2 if ptop2==.
replace ptop2 = 0 if standard_deviation_num==0 & ptop2==. & coefficient_num!=0
replace ptop2 = 1 if ptop1 == 1

drop if ptop1 == .
drop if ptop1 > 1
replace ptop2 = abs(ptop2) if ptop2<0

egen id = group(year journal_id issue article_page)

export delimited using "Replication_package/Application 1/Brodeur_et_al_clean_data.csv", replace
